import time
from osgeo import gdal

# 打开图像（默认是只读模式）
start_time = time.time()

ds = gdal.Open("imgs/ortho.tif", gdal.GA_ReadOnly)
if ds is None:
    raise RuntimeError("Failed to open dataset")

band = ds.GetRasterBand(1)  # 取第一个波段
array = band.ReadAsArray()  # 整个波段读入内存（同步）
max_val = array.max()

end_time = time.time()

print(f"GDAL Max: {max_val}")
print(f"Time taken: {end_time - start_time:.3f} seconds")
